PostgreSQL Tcl Interface Documentation
Prev | Fast Backward |  | Fast Forward | Next

# pg_escape_bytea

## Name

pg_escape_bytea -- escapes a binary string for inclusion into SQL statements.

## Synopsis

    pg_escape_bytea string

## Description

`pg_escape_bytea` escapes a binary string, making it safe for inclusion into SQL statements.

        pg_exec $conn "insert into foo values ([pg_escape_binary $name]);"

## Arguments

`binary_string`

  The binary string to be escaped.

## Return Value

Returns the binary string, escaped for inclusion into SQL queries.

Prev | Home | Next
pg_escape_string | Up | pg_unescape_bytea